Bug 122508 - databases/ruby-bdb broken with ruby 1.9 and db 4.6
Summary: databases/ruby-bdb broken with ruby 1.9 and db 4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-06 18:40 UTC by bf
Modified: 2008-06-25 18:50 UTC (History)
0 users

See Also:


Attachments
ruby-bdb.txt (4.15 KB, text/plain)
2008-06-21 13:06 UTC, bf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-04-06 18:40:01 UTC
Build is broken with new ruby and db 4.6 from ports.  The first (but probably not the only) problem is that ruby 1.9, unlike ruby 1.8, has no

%%RUBY_LIBDIR%%/%%RUBY_ARCH%%/version.h

Transcript:

 #make install
===>  Extracting for ruby19-bdb46-0.6.2
=> MD5 Checksum OK for ruby/bdb-0.6.2.tar.gz.
=> SHA256 Checksum OK for ruby/bdb-0.6.2.tar.gz.
===>   ruby19-bdb46-0.6.2 depends on file: /usr/local/bin/ruby19 - found
===>  Patching for ruby19-bdb46-0.6.2
===>   ruby19-bdb46-0.6.2 depends on file: /usr/local/bin/ruby19 - found
===>   ruby19-bdb46-0.6.2 depends on file: /usr/local/bin/ruby19 - found
===>   ruby19-bdb46-0.6.2 depends on shared library: db-4.6.0 - found
===>  Configuring for ruby19-bdb46-0.6.2
===>  Running extconf.rb to configure
extconf.rb: Entering directory `src'
checking for db_version() in -ldb-4.6... yes
checking for rb_frame_this_func()... yes
checking for rb_block_proc()... yes
checking for rb_io_stdio_file()... yes
checking for rb_block_call()... yes
checking for Array#insert... yes
checking for Array#values_at... yes
creating Makefile
extconf.rb: Leaving directory `src'
===>  Building for ruby19-bdb46-0.6.2
cc -I. -I/usr/local/include/ruby-1.9//i386-freebsd7 -I/usr/local/include/ruby-1.9/ -I. -DHAVE_RB_FRAME_THIS_FUNC -DHAVE_RB_BLOCK_PROC -DHAVE_RB_IO_STDIO_FILE -DHAVE_RB_BLOCK_CALL -I/usr/local/include/db46 -I/usr/local/include    -fPIC -O2 -fno-strict-aliasing -pipe -fstack-protector-all -march=athlon-tbird   -fPIC  -DHAVE_RB_ARY_INSERT -DHAVE_RB_ARY_VALUES_AT -obdb.o -c bdb.c
In file included from bdb.c:1:
bdb.h:2:21: error: version.h: No such file or directory
*** Error code 1

Stop in /tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/src.
*** Error code 1

Stop in /tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2.
*** Error code 1

Stop in /usr/ports/databases/ruby-bdb.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-06 18:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 bf 2008-04-06 18:57:01 UTC
Also broken with ruby 1.8 and db 4.6.  Fix, at least
for ruby 1.8, is to remove docs/doc from DOCS:


diff -druN ruby-bdb.orig/Makefile ruby-bdb/Makefile
--- ruby-bdb.orig/Makefile      2008-02-21
00:08:46.000000000 -0500
+++ ruby-bdb/Makefile   2008-04-06 13:50:41.690238658
-0400
@@ -34,8 +34,7 @@
                bdb.html \
                bdb.rd \
                docs/*.html \
-               docs/*.rd \
-               docs/doc
+               docs/*.rd
 
 post-build:
 .if !defined(NOPORTDOCS)




The error:

===>  Installing for ruby18-bdb46-0.6.2
===>   ruby18-bdb46-0.6.2 depends on file:
/usr/local/bin/ruby18 - found
===>   ruby18-bdb46-0.6.2 depends on shared library:
db-4.6.0 - found
===>   Generating temporary packing list
===>  Checking if databases/ruby-bdb already installed
/bin/mkdir -p /usr/local/share/examples/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/examples/*
/usr/local/share/examples/ruby18/bdb/
/bin/mkdir -p /usr/local/share/doc/ruby18/bdb
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/Changes
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/README.en
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/bdb.html
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/bdb.rd
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/docs/*.html
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/docs/*.rd
/usr/local/share/doc/ruby18/bdb/
/bin/cp -R
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/docs/doc
/usr/local/share/doc/ruby18/bdb/
cp:
/tmp/usr/ports/databases/ruby-bdb/work/bdb-0.6.2/docs/doc:
No such file or directory
*** Error code 1

Stop in /usr/ports/databases/ruby-bdb.


      ____________________________________________________________________________________
You rock. That's why Blockbuster's offering you one month of Blockbuster Total Access, No Cost.  
http://tc.deals.yahoo.com/tc/blockbuster/text5.com
Comment 3 bf 2008-06-21 13:06:45 UTC
Please ignore my previous comment above, and consider
the following patch instead, which updates the port to
version 0.6.4.   This new version installs and passes
the regression test suite with the new db47-4.7.25.0,
and both  ruby+pthreads-1.8.6.111_2,1 and 
ruby-1.9.0.1,1 on 7-STABLE i386.



      
Comment 4 dfilter service freebsd_committer 2008-06-25 18:38:57 UTC
knu         2008-06-25 17:38:51 UTC

  FreeBSD ports repository

  Modified files:
    databases/ruby-bdb   Makefile distinfo 
  Removed files:
    databases/ruby-bdb   pkg-plist 
  Log:
  Update to 0.6.4.
  
  PR:             ports/122508
  Submitted by:   bf <bf2006a@yahoo.com>
  
  Revision  Changes    Path
  1.57      +33 -20    ports/databases/ruby-bdb/Makefile
  1.42      +3 -3      ports/databases/ruby-bdb/distinfo
  1.23      +0 -29     ports/databases/ruby-bdb/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Akinori MUSHA freebsd_committer 2008-06-25 18:39:24 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Sorry for having kept you waiting so long!